## patsy 0.2.1

=== doc/sphinxext/requirements.txt ===
numpy
scipy
ipython
pandas

=== debian/changelog ===
patsy (0.2.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * Don't wrap test dependencies, autopkgtest does not currently support that.
  * Actually test-depend on python[3]-patsy, not -pandas (Closes: #728077)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Oct 2013 09:40:58 -0400

patsy (0.2.1-2) unstable; urgency=low

  * Initial official Debian package (Closes: #718429)
  * debian/copyright
    - added missing copyright/license for facebox (MIT AKA Expat)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Oct 2013 15:50:44 -0400

patsy (0.2.1-1) neurodebian; urgency=low

  * Fresh upstream release
  * debian/rules:
    - export bogus http_proxy to safe-guard against downloads
  * debian/patches
    - cherry-pick eab795ce8dd2f0731d1b6764874a101c616d9311 from upstream
      to pass tests on wheezy using python2.6 where pandas is N/A

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Aug 2013 14:03:29 -0400

patsy (0.1.0+git60-g7ddb7f3-1) neurodebian; urgency=low

  * Initial Debian packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Jul 2013 13:43:28 -0400

=== debian/control ===
Source: patsy
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all (>= 2.5),
               python-setuptools,
               python-numpy,
               python-pandas,
               python-nose,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-pandas,
               python3-nose,
               python-matplotlib,
               python-sphinx,
               ipython,
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: http://github.com/pydata/patsy
Vcs-Browser: http://github.com/neurodebian/patsy
Vcs-Git: git://github.com/neurodebian/patsy.git
XS-Testsuite: autopkgtest

Package: python-patsy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
Recommends: python-pandas,
Suggests: python-patsy-doc
Description: statistical models in Python using symbolic formulas
 patsy is a Python library for describing statistical models
 (especially linear models, or models that have a linear component)
 and building design matrices.
 .
 This package contains the Python 2 version.

Package: python3-patsy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy,
Recommends: python3-pandas,
Suggests: python-patsy-doc
Description: statistical models in Python using symbolic formulas
 patsy is a Python library for describing statistical models
 (especially linear models, or models that have a linear component)
 and building design matrices.
 .
 This package contains the Python 3 version.

Package: python-patsy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-patsy
Description: documentation and examples for patsy
 This package contains documentation and example scripts for
 python-patsy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1
export http_proxy=http://127.0.0.1:9/

PACKAGE2_NAME = python-patsy
PACKAGE3_NAME = python3-patsy
PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')

# Some unittests might need to be excluded for different Python versions
EXCLUDE_TESTS2 := 
EXCLUDE_TESTS3.2 := 
#--exclude "test_bootstrap_plot"
EXCLUDE_TESTS3.3 := 
#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"

# MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
# $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2,python3

python-build%:
	python$* setup.py build

override_dh_auto_build: $(PY3VERS:%=python-build%)
	dh_auto_build

python-install%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp \
		--force --install-layout=deb

override_dh_auto_install: $(PYVERS:%=python-install%) $(PY3VERS:%=python-install%) \
                          ${PYVERS:%=python-test%}    ${PY3VERS:%=python-test%}
	: # nothing more to do

override_dh_clean:
	rm -rf build *.egg-info
	dh_clean

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
	: # Run unittests here against installed patsy
	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	mkdir -p build/tmp; cd build/tmp; \
	python$* /usr/bin/nosetests -s -v $(EXCLUDE_TESTS$*) patsy;
else
	: # Skip unittests due to nocheck
endif

override_dh_installdocs:
	: # Build Documentation using installed patsy
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	: # not building documentation ATM since requires ipython 0.11
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 make -C doc html
	: # Use jquery from Debian package, so prune shipped one
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js
	dh_installdocs
endif
endif

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

=== debian/tests/control ===
Tests: unittests
Depends: python-all, python-nose, python-numpy, python-patsy

Tests: unittests3
Depends: python3-all, python3-nose, python3-numpy, python3-patsy

## patsy 0.3.0

=== debian/changelog ===
patsy (0.3.0-3) unstable; urgency=medium

  * debian/control
    - add python{,3}-six into Depends
  * debian/patches/up_six_PY
    - to build on systems with older six

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Aug 2014 23:08:32 -0400

patsy (0.3.0-2) unstable; urgency=medium

  * debian/tests/control
    - add depends on python{,3}-six (Closes: #756528)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Jul 2014 14:26:13 -0400

patsy (0.3.0-1) unstable; urgency=medium

  * New upstream release 
    - addresses FTBFS due to API breakage in IPython 2.0 (Closes: #751045)
  * debian/patches -- all CPed changesets dropped
  * debian/control
    - adding python-openpyxl into build-depends (for testing) and recommends
    - adding python{,3}-six into build-depends
    - adding ipython1x (for NeuroDebian backport builds) to build-depends as
      a complement to stock ipython if stock ipython is too old (to build
      documentation)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Jul 2014 12:14:42 -0400

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
+IPYTHONVER := $(shell dpkg -l ipython | awk '/^ii/{print $$3;}' || echo 0)
+IPYTHONPATH=$(shell dpkg --compare-versions $(IPYTHONVER) lt 1.0 && echo ':/usr/share/pyshared/IPython1X/' || echo '')
 
 # Mega rule
 %:
@@ -46,7 +48,7 @@
 	: # nothing more to do
 
 override_dh_clean:
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info doc/_build
 	dh_clean
 
 python-test%: python-install%
@@ -68,8 +70,7 @@
 ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
 	: # not building documentation in -a
 else
-	: # not building documentation ATM since requires ipython 0.11
-	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
+	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`$(IPYTHONPATH); \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	 make -C doc html
 	: # Use jquery from Debian package, so prune shipped one

=== debian/tests/control ===
Tests: unittests
Depends: python-all, python-nose, python-numpy, python-patsy, python-openpyxl, python-six

Tests: unittests3
Depends: python3-all, python3-nose, python3-numpy, python3-patsy, python3-six

## patsy 0.4.0

=== debian/changelog ===
patsy (0.4.0-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 22 Jul 2015 18:39:01 -0400

patsy (0.4.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 21 Jul 2015 22:58:53 -0400

## patsy 0.4.1

=== debian/changelog ===
patsy (0.4.1-2) unstable; urgency=medium

  * debian/tests - refactored into reusable across packages/versions of python
    script to avoid duplication etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2015 20:23:49 -0500

patsy (0.4.1-1) unstable; urgency=medium

  * Fresh upsstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Nov 2015 19:13:17 -0500

=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/patsy-$1\.tar\.gz/" \
 http://github.com/pydata/patsy/tags .*archive/v?([\d\.rc]+).tar.gz

## patsy 0.4.1%2Bgit34-ga5b54c2

=== debian/changelog ===
patsy (0.4.1+git34-ga5b54c2-1ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1800607.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 09:47:22 +0100

patsy (0.4.1+git34-ga5b54c2-1ubuntu1) cosmic; urgency=medium

  * Fix compatibility with unrelease changes to Python's tokenize module. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 01 Oct 2018 16:07:05 +1300

patsy (0.4.1+git34-ga5b54c2-1) unstable; urgency=medium

  * New upstream snapshot from v0.4.1-34-ga5b54c2

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 03 Nov 2016 11:08:07 -0400

## patsy 0.4.1+git34-ga5b54c2

=== debian/changelog ===
patsy (0.4.1+git34-ga5b54c2-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 03 Nov 2016 11:39:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: patsy
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all (>= 2.5),
@@ -9,14 +10,18 @@
                python-numpy,
                python-pandas,
                python-nose,
+               python-six,
+               python-openpyxl,
                python3-all,
                python3-setuptools,
                python3-numpy,
                python3-pandas,
                python3-nose,
+               python3-six,
                python-matplotlib,
                python-sphinx,
                ipython,
+               ipython (>= 1.0) | ipython1x,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.4
@@ -27,9 +32,10 @@
 
 Package: python-patsy
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy,
-Recommends: python-pandas,
+         python-patsy,
+Recommends: python-pandas, python-openpyxl,
 Suggests: python-patsy-doc
 Description: statistical models in Python using symbolic formulas
  patsy is a Python library for describing statistical models
@@ -40,8 +46,9 @@
 
 Package: python3-patsy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy,
+         python3-patsy,
 Recommends: python3-pandas,
 Suggests: python-patsy-doc
 Description: statistical models in Python using symbolic formulas
@@ -54,7 +61,7 @@
 Package: python-patsy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-patsy
 Description: documentation and examples for patsy
  This package contains documentation and example scripts for

## patsy 0.5.0+git13-g54dcf7b

=== debian/changelog ===
patsy (0.5.0+git13-g54dcf7b-1ubuntu1) eoan; urgency=medium

  * Drop python2 support.
  * Bump debhelper compat to 9.
  * Switch from python-distutils to pybuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 04:24:18 +0000

patsy (0.5.0+git13-g54dcf7b-1) unstable; urgency=medium

  * New upstream snapshot from v0.5.0-13-g54dcf7b
    - addresses python 3.7 incompatibility (Closes: #907335)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 27 Oct 2018 23:16:29 -0400

=== debian/control ===
Source: patsy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-pandas,
               python3-nose,
               python3-six,
               python3-matplotlib,
               python3-sphinx,
               ipython3,
               ipython3 (>= 1.0) | ipython1x,
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: http://github.com/pydata/patsy
Vcs-Browser: http://github.com/neurodebian/patsy
Vcs-Git: git://github.com/neurodebian/patsy.git
XS-Testsuite: autopkgtest

Package: python3-patsy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy,
Recommends: python3-pandas,
Suggests: python-patsy-doc
Description: statistical models in Python using symbolic formulas
 patsy is a Python library for describing statistical models
 (especially linear models, or models that have a linear component)
 and building design matrices.
 .
 This package contains the Python 3 version.

Package: python-patsy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python3-patsy
Description: documentation and examples for patsy
 This package contains documentation and example scripts for
 python3-patsy.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 export DH_VERBOSE=1
 export http_proxy=http://127.0.0.1:9/
 
-PACKAGE2_NAME = python-patsy
 PACKAGE3_NAME = python3-patsy
-PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
 PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
 
 PYVERS = $(shell pyversions -vr)
@@ -17,7 +15,6 @@
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS2 := 
 EXCLUDE_TESTS3.2 := 
 #--exclude "test_bootstrap_plot"
 EXCLUDE_TESTS3.3 := 
@@ -31,7 +28,7 @@
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=pybuild --with python3
 
 python-build%:
 	python$* setup.py build
@@ -43,8 +40,8 @@
 	python$* setup.py install --root=$(CURDIR)/debian/tmp \
 		--force --install-layout=deb
 
-override_dh_auto_install: $(PYVERS:%=python-install%) $(PY3VERS:%=python-install%) \
-                          ${PYVERS:%=python-test%}    ${PY3VERS:%=python-test%}
+override_dh_auto_install: $(PY3VERS:%=python-install%) \
+                          ${PY3VERS:%=python-test%}
 	: # nothing more to do
 
 override_dh_clean:
@@ -56,10 +53,10 @@
 	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
 	: # Run unittests here against installed patsy
 	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
-	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
+	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python3/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	mkdir -p build/tmp; cd build/tmp; \
-	python$* /usr/bin/nosetests -s -v $(EXCLUDE_TESTS$*) patsy;
+	python$* /usr/bin/nosetests3 -s -v $(EXCLUDE_TESTS$*) patsy;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -70,7 +67,7 @@
 ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
 	: # not building documentation in -a
 else
-	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`$(IPYTHONPATH); \
+	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE3_ROOT_DIR)/usr/lib/python$(PY3VER)/*`$(IPYTHONPATH); \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	 make -C doc html
 	: # Use jquery from Debian package, so prune shipped one

## patsy 0.5.1

=== debian/changelog ===
patsy (0.5.1-3) unstable; urgency=medium

  * Use collections.abc to remove deprecation warning
    (Closes: #982612)
  * Add myself to uploaders
  * Declare compliance with policy 4.5.1
  * Bump watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 16 Feb 2021 00:02:49 +0530

patsy (0.5.1-2) unstable; urgency=medium

  * Team Upload.
  * Allow warnings in ipython docs (Closes: #964640)
  * Remove External image links : privacy breach fix
  * Fix copyright
  * Fix Build-Deps, compat version: 13, Rules-Requires-Root:no
  * Fix Deprecated adttmp
  * s/http/https/
  * Fix with cme
  * Fix lintian

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 11 Jul 2020 14:13:25 +0000

patsy (0.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Rebecca N. Palmer ]
  * Use Python 3 syntax in example
    Closes: #950098

  [ Andreas Tille ]
  * Package maintained by Debian Med team
  * debian/gbp.conf: Removed since converted to default branch layout
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2020 14:20:20 +0100

patsy (0.5.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the dangling symlink for the nosetests3 autopkg test.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2019 14:12:09 +0100

patsy (0.5.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Stop building the Python2 package. Closes: #937250, #934874.
  * Bump debhelper compat to 9 (Steve Langasek).
  * Switch from python-distutils to pybuild (Steve Langasek).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 14:52:05 +0100

=== debian/control ===
Source: patsy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Nilesh Patra <npatra974@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               python3-pandas,
               python3-nose,
               python3-six,
               python3-matplotlib,
               python3-sphinx,
               ipython3,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/patsy
Vcs-Git: https://salsa.debian.org/med-team/patsy.git
Homepage: https://github.com/pydata/patsy
Rules-Requires-Root: no

Package: python3-patsy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy
Recommends: python3-pandas
Suggests: python-patsy-doc
Description: statistical models in Python using symbolic formulas
 patsy is a Python library for describing statistical models
 (especially linear models, or models that have a linear component)
 and building design matrices.
 .
 This package contains the Python 3 version.

Package: python-patsy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-patsy
Description: documentation and examples for patsy
 This package contains documentation and example scripts for
 python3-patsy.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,10 @@
 PY3VERS = $(shell py3versions -vr)
 PY3VER = $(shell py3versions -vd)
 
-UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
-
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS3.2 := 
+EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := 
+EXCLUDE_TESTS3.3 :=
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)

=== debian/tests/control ===
Tests: nosetests3
Depends: python3-all, python3-nose, python3-numpy, python3-patsy, python3-six

=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/patsy-$1\.tar\.gz/" \
 https://github.com/pydata/patsy/tags .*archive/v?([\d\.rc]+).tar.gz

## patsy 0.5.2

=== debian/changelog ===
patsy (0.5.2-2) unstable; urgency=medium

  * d/p/fix-sphinx-conf.patch: Make doc/conf.py compatible
    with new sphinx API to fix FTBFS

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Sep 2021 21:03:38 +0530

patsy (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Drop d/p/use-collections.abc.patch: Fixed upstream
  * d/p: Refresh and rediff patches
  * d/rules: Remove homegrown test, let debhelper handle it
  * d/control: Add B-D on python3-pytest
  * d/s/lintian-overrides: Remove unused override
  * Get autopkgtests working
    + d/t/control: Drop un-needed test-depends, add python3-pytest
      to test-depends
    + Move d/t/nosetests3 -> d/t/pytest-3 to match the test that is
      running
    + d/t/pytest-3: Fix regex for finding out py_module, copy the needed
      files to actually run tests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Sep 2021 20:03:14 +0530

patsy (0.5.1-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python-patsy-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 20:19:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,12 +12,12 @@
                python3-numpy,
                python3-scipy,
                python3-pandas,
-               python3-nose,
+               python3-pytest,
                python3-six,
                python3-matplotlib,
                python3-sphinx,
                ipython3,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/patsy
 Vcs-Git: https://salsa.debian.org/med-team/patsy.git
 Homepage: https://github.com/pydata/patsy
@@ -44,6 +44,7 @@
          libjs-jquery,
          libjs-underscore
 Suggests: python3-patsy
+Multi-Arch: foreign
 Description: documentation and examples for patsy
  This package contains documentation and example scripts for
  python3-patsy.

=== debian/rules ===
--- 
+++ 
@@ -38,26 +38,12 @@
 	python$* setup.py install --root=$(CURDIR)/debian/tmp \
 		--force --install-layout=deb
 
-override_dh_auto_install: $(PY3VERS:%=python-install%) \
-                          ${PY3VERS:%=python-test%}
+override_dh_auto_install: $(PY3VERS:%=python-install%)
 	: # nothing more to do
 
 override_dh_clean:
 	rm -rf build *.egg-info doc/_build
 	dh_clean
-
-python-test%: python-install%
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
-	: # Run unittests here against installed patsy
-	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
-	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python3/*/`; \
-	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	mkdir -p build/tmp; cd build/tmp; \
-	python$* /usr/bin/nosetests3 -s -v $(EXCLUDE_TESTS$*) patsy;
-else
-	: # Skip unittests due to nocheck
-endif
 
 override_dh_installdocs:
 	: # Build Documentation using installed patsy

## patsy 0.5.3

=== debian/changelog ===
patsy (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3 (Closes: #1022048)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Oct 2022 16:06:39 +0530

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-matplotlib,
                python3-sphinx,
                ipython3,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/patsy
 Vcs-Git: https://salsa.debian.org/med-team/patsy.git
 Homepage: https://github.com/pydata/patsy

=== debian/tests/control ===
Tests: pytest-3
Depends: @, python3-all, python3-pytest

## patsy 0.5.6

=== debian/changelog ===
patsy (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.6

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 Feb 2024 09:49:51 +0100

patsy (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1058302)
  * Standards-Version: 4.6.2 (routine-update)
  * d/source/lintian-overrides: Remove, not needed
  * Refresh patches and update descriptions
  * d/rules: Clean png files in doc/savefig (Closes: #1047040)
  * d/control: Add Testsuite autopkgtest-pkg-pybuild
  * d/tests: Remove, upstream tests run by autopkgtest-pkg-pybuild
  * d/rules: Copy upstream tests to build directory for autopkgtest

 -- Lance Lin <lq27267@gmail.com>  Wed, 20 Dec 2023 20:32:17 +0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-matplotlib,
                python3-sphinx,
                ipython3,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/med-team/patsy
 Vcs-Git: https://salsa.debian.org/med-team/patsy.git
 Homepage: https://github.com/pydata/patsy

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 IPYTHONVER := $(shell dpkg -l ipython | awk '/^ii/{print $$3;}' || echo 0)
 IPYTHONPATH=$(shell dpkg --compare-versions $(IPYTHONVER) lt 1.0 && echo ':/usr/share/pyshared/IPython1X/' || echo '')
 
+export PYBUILD_BEFORE_TEST = cp -r {dir}/patsy {build_dir}
+
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
@@ -42,7 +44,7 @@
 	: # nothing more to do
 
 override_dh_clean:
-	rm -rf build *.egg-info doc/_build
+	rm -rf doc/_build doc/savefig
 	dh_clean
 
 override_dh_installdocs:

## patsy 1.0.1

=== debian/changelog ===
patsy (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * New upstream version 1.0.1
  * Trim patches: Py2.7 support dropped upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 20:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-numpy,
                python3-scipy,
                python3-pandas,
-               python3-pytest,
-               python3-six,
+               python3-pickleshare <!nodoc>,
+               python3-pytest <!nocheck>,
                python3-matplotlib,
                python3-sphinx,
                ipython3,

## patsy 1.0.2

=== debian/changelog ===
patsy (1.0.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.2
  * Drop myself from uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Oct 2025 15:35:36 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
-           Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -17,12 +16,11 @@
                python3-matplotlib,
                python3-sphinx,
                ipython3,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/med-team/patsy
 Vcs-Git: https://salsa.debian.org/med-team/patsy.git
 Homepage: https://github.com/pydata/patsy
-Rules-Requires-Root: no
 
 Package: python3-patsy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,8 @@
 PACKAGE3_NAME = python3-patsy
 PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
 
-PYVERS = $(shell pyversions -vr)
-PYVER = $(shell pyversions -vd)
 PY3VERS = $(shell py3versions -vr)
 PY3VER = $(shell py3versions -vd)
-
-# Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS3.2 :=
-#--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 :=
-#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
@@ -28,7 +20,7 @@
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild
 
 python-build%:
 	python$* setup.py build

=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/patsy-$1\.tar\.gz/" \
 https://github.com/pydata/patsy/tags (?:.*?/)v?([\d\.rc]+).tar.gz
